import cmdlib
import es

def load():
	load_referee_server_cmd()
	es.server.cmd("exec soccer_mod/referee.cfg")

def load_referee_server_cmd():
	cmdlib.registerServerCommand("soccer_mod_referee_downloads", referee_downloads, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_whistle", referee_sound_whistle, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_red_card", referee_sound_red_card, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_fireworks", referee_sound_fireworks, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_give_dope", referee_sound_give_dope, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_out_breath", referee_sound_out_breath, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_lightning", referee_sound_lightning, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_1", referee_sound_cheer_leader_1, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_2", referee_sound_cheer_leader_2, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_3", referee_sound_cheer_leader_3, "Referee setting")

def referee_downloads(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_referee_downloads_on", 1)
		else:
			es.set("sm_referee_downloads_on", 0)
	except ValueError:
		es.set("sm_referee_downloads_on", 0)

def referee_sound_whistle(args):
	es.set("sm_referee_sound_whistle", args[0])

def referee_sound_red_card(args):
	es.set("sm_referee_sound_red_card", args[0])

def referee_sound_fireworks(args):
	es.set("sm_referee_sound_fireworks", args[0])

def referee_sound_give_dope(args):
	es.set("sm_referee_sound_give_dope", args[0])

def referee_sound_out_breath(args):
	es.set("sm_referee_sound_out_breath", args[0])

def referee_sound_lightning(args):
	es.set("sm_referee_sound_lightning", args[0])

def referee_sound_cheer_leader_1(args):
	es.set("sm_referee_sound_cheer_leader_1", args[0])

def referee_sound_cheer_leader_2(args):
	es.set("sm_referee_sound_cheer_leader_2", args[0])

def referee_sound_cheer_leader_3(args):
	es.set("sm_referee_sound_cheer_leader_3", args[0])

def unload_referee_server_cmd():
	cmdlib.unregisterServerCommand("soccer_mod_referee_downloads")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_whistle")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_red_card")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_fireworks")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_give_dope")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_out_breath")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_lightning")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_1")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_2")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_3")

def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/referee.cfg")

def unload():
	unload_referee_server_cmd()