import es
import langlib
import popuplib

def load():
	create_popup()
	es.load("soccer_mod_2010/settings/match/main")
	es.load("soccer_mod_2010/settings/match/time")
	es.load("soccer_mod_2010/settings/match/names")

def create_popup():
	text = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/settings/popup_admin_settings_match.ini")

	popup = popuplib.create("sm_popup_admin_settings_match")

	line = "SOCCER MOD %s" % (text("title"))
	popup.addline(line)

	popup.addline(" ")

	line = "->1. %s" % (text("main"))
	popup.addline(line)

	line = "->2. %s" % (text("names"))
	popup.addline(line)

	line = "->3. %s" % (text("time"))
	popup.addline(line)

	popup.addline(" ")

	line = "->9. %s" % (text("back"))
	popup.addline(line)

	popup.addline(" ")

	line = "->0. %s" % (text("close"))
	popup.addline(line)

	popup.submenu(1, "sm_popup_admin_settings_match_main")
	popup.submenu(2, "sm_popup_admin_settings_match_names")
	popup.submenu(3, "sm_popup_admin_settings_match_time")
	popup.submenu(4, "sm_popup_admin_settings_match")
	popup.submenu(5, "sm_popup_admin_settings_match")
	popup.submenu(6, "sm_popup_admin_settings_match")
	popup.submenu(7, "sm_popup_admin_settings_match")
	popup.submenu(8, "sm_popup_admin_settings_match")
	popup.submenu(9, "sm_popup_admin_settings")

def delete_popup():
	if popuplib.exists("sm_popup_admin_settings_match"):
		popuplib.delete("sm_popup_admin_settings_match")

def unload():
	delete_popup()
	es.unload("soccer_mod_2010/settings/match/main")
	es.unload("soccer_mod_2010/settings/match/time")
	es.unload("soccer_mod_2010/settings/match/names")